Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Class BrowserDesktopManager

    java.lang.Object
      javax.swing.DefaultDesktopManager
          org.gjt.jclasslib.mdi.BasicDesktopManager
              org.gjt.jclasslib.browser.BrowserDesktopManager

All Implemented Interfaces:
  DesktopManager, EventListener, InternalFrameListener, Serializable, VetoableChangeListener

public class BrowserDesktopManager
extends BasicDesktopManager

The desktop manager for the class file browser application.

Version:
  $Revision: 1.6 $ $Date: 2003/08/18 08:05:39 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gjt.jclasslib.mdi.BasicDesktopManager
`parentFrame`

Constructor Summary
`BrowserDesktopManager(BrowserMDIFrame parentFrame)` Constructor.

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent event)`
`void` | `internalFrameDeactivated(InternalFrameEvent event)`

Methods inherited from class org.gjt.jclasslib.mdi.BasicDesktopManager
`activateFrame, addInternalFrame, checkResizeInMaximizedState, checkSize, cycleToNextWindow, cycleToPreviousWindow, endDraggingFrame, endResizingFrame, getDesktopPane, getNextInternalFrameBounds, getOpenFrame, getOpenFrames, getParentFrame, internalFrameClosed, internalFrameClosing, internalFrameDeiconified, internalFrameIconified, internalFrameOpened, scrollToVisible, setActiveFrame, showAll, stackWindows, tileWindows, vetoableChange`

Methods inherited from class javax.swing.DefaultDesktopManager
`beginDraggingFrame, beginResizingFrame, closeFrame, deactivateFrame, deiconifyFrame, dragFrame, getBoundsForIconOf, getPreviousBounds, iconifyFrame, maximizeFrame, minimizeFrame, openFrame, removeIconFor, resizeFrame, setBoundsForFrame, setPreviousBounds, setWasIcon, wasIcon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserDesktopManager

    public BrowserDesktopManager(BrowserMDIFrame parentFrame)

  Constructor.

Parameters:
  `parentFrame` - the parent frame

Method Detail

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent event)

  Specified by:
    `internalFrameActivated` in interface `InternalFrameListener`
  Overrides:
    `internalFrameActivated` in class `BasicDesktopManager`

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent event)

  Specified by:
    `internalFrameDeactivated` in interface `InternalFrameListener`
  Overrides:
    `internalFrameDeactivated` in class `BasicDesktopManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD